
include(xProject)

#Fix caching issue when calling CMake again
unset(SURVEYLIB_LIBRARIES CACHE)
unset(SURVEYLIB_INCLUDE_DIRS CACHE)

find_library(SURVEYLIB_LIBRARIES surveylib)
find_path(SURVEYLIB_INCLUDE_DIRS surveylib.hxx PATH_SUFFIXES surveylib)

if(NOT SURVEYLIB_LIBRARIES OR NOT SURVEYLIB_INCLUDE_DIRS)

xProject_Add(SurveyLib
    GIT_SUBMODULE
    CMAKE_ARGS -DBUILD_SHARED_LIBS=OFF -DCMAKE_INSTALL_PREFIX=
        -DJSURVEYLIB=OFF
        -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
    CMAKE_CACHE_ARGS "-DEXT_CACHE:path=${CMAKE_BINARY_DIR}"
    INSTALL_COMMAND $(MAKE) install "DESTDIR=${CMAKE_BINARY_DIR}/instroot"
    LIBRARIES "${CMAKE_BINARY_DIR}/instroot/${CMAKE_INSTALL_LIBDIR}/libsurveylib.a"
    INCLUDE_DIRS "${CMAKE_BINARY_DIR}/instroot/${CMAKE_INSTALL_INCLUDEDIR}/SurveyLib")

else()

add_custom_target(SurveyLib)

endif()
